## process-cpp 2.0.0+14.10.20140718

=== CMakeLists.txt ===
--- 
+++ 
@@ -56,7 +56,7 @@
   SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -ftest-coverage -fprofile-arcs" )
 ENDIF(cmake_build_type_lower MATCHES coverage)
 
-set(PROCESS_CPP_VERSION_MAJOR 1)
+set(PROCESS_CPP_VERSION_MAJOR 2)
 set(PROCESS_CPP_VERSION_MINOR 0)
 set(PROCESS_CPP_VERSION_PATCH 0)
