=== debian/changelog ===
process-cpp (3.0.1-9) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/changelog:
    + post-upload give credits to Chris Lamb for the patch regarding #961202.
  * debian/control:
    + Add Rules-Requires-Root: field and set it to 'no'.
    + Bump Standards-Version: to 4.6.0. No changes needed.
    + Add B-Ds: rdfind, symbols.
  * debian/*.lintian-overrides:
    + Drop files. Not required anymore.
  * debian/{rules,libprocess-cpp-doc.install}:
    + Move doc files into doc:pkg's doc folder.
  * debian/rules:
    + Enable all hardening build flags.
    + Clean-up duplicate files in API docs and use symlinks instead.
  * debian/patches:
    + Add 1004-spelling-fixes.patch. Fix spelling of the word 'occurred'.
      Thanks, lintian.
    + Rename patch files to match our patch naming scheme.

  [ Aurelien Jarno ]
  * debian/patches:
    + Add 0003-link-pthread.patch. Fix FTBFS on riscv64, link with -lpthread
      instead of -pthread. (Closes: 1002052).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Dec 2021 08:35:29 +0100

process-cpp (3.0.1-8) unstable; urgency=medium

  * debian/patches:
    + Improve 0002-Reproducible-documentation.patch. Exclude link.txt from documentation.
      This makes the build (even more) reproducible. (Closes: #961202). Thanks to
      Chris Lamb for the patch.
  * debian/control:
    + Bump DH compat level to version 13.
    + Bump Standards-Version: to 4.5.0. No changes needed.
  * debian/rules:
    + Add EOL at EOF.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 18 Oct 2020 20:12:34 +0200

process-cpp (3.0.1-7) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields in accordance to new maintenance team.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/patches/README:
    + Add README explaining our patch naming scheme.
  * debian/rules:
    + Add get-orig-source target.
  * debian/libprocess-cpp3.symbols:
    + Add Build-Depends-Package: metadata field.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 26 Sep 2020 23:54:15 +0200

process-cpp (3.0.1-6) unstable; urgency=medium

  * debian/control:
    + Adopt package. Move over to Debian UBports Team. (Closes: #904425).
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Restrict this package to linux-any architecture. (Closes: #889000).
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump to DH compat level version 12.
  * debian/{control,copyright}:
    + Update Homepage: (and Source:) field. New upstream is the UBports project.
  * debian/watch:
    + Add watch file.
  * debian/gbp.conf:
    + Drop file; switch to gbp's defaults.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Jan 2020 15:18:35 +0100

process-cpp (3.0.1-5) unstable; urgency=medium

  * Orphan package.
  * Update Vcs-* headers to point to salsa.
  * Bump Standards-Version to 4.1.5.

 -- Chris Lamb <lamby@debian.org>  Tue, 24 Jul 2018 16:28:18 +0800

process-cpp (3.0.1-4) unstable; urgency=medium

  * Correct Vcs-Bzr -> Vcs-Git.

 -- Chris Lamb <lamby@debian.org>  Sat, 17 Feb 2018 22:45:20 +0000

process-cpp (3.0.1-3) unstable; urgency=medium

  * Make the documentation reproducible.

 -- Chris Lamb <lamby@debian.org>  Thu, 01 Feb 2018 10:15:27 +0000

process-cpp (3.0.1-2) unstable; urgency=medium

  * Update symbols files to fix FTBFS on mips64el and non-release 64bit
    architectures due symbol differences. (Closes: #888724)

 -- Chris Lamb <lamby@debian.org>  Mon, 29 Jan 2018 16:52:14 +0000

process-cpp (3.0.1-1) unstable; urgency=medium

  * Upload to / fork for Debian unstable. (Closes: #887961)

 -- Chris Lamb <lamby@debian.org>  Sun, 21 Jan 2018 17:36:45 +1100

process-cpp (3.0.1-0ubuntu5) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:39:24 +0000

process-cpp (3.0.1-0ubuntu4) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:30:21 +0000

process-cpp (3.0.1-0ubuntu3) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 18:48:36 +0000

process-cpp (3.0.1-0ubuntu2) xenial; urgency=medium

  * Fix symbols file for s390x.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 30 Nov 2015 23:06:31 +0000

process-cpp (3.0.1-0ubuntu1) wily; urgency=medium

  * Bump version.

 -- Thomas Voß <thomas.voss@canonical.com>  Tue, 21 Jul 2015 11:45:34 +0200

process-cpp (3.0.0) wily; urgency=medium

  * Bump major revision and so name to account for toolchain update.

 -- Thomas Voß <thomas.voss@canonical.com>  Mon, 20 Jul 2015 20:39:56 +0200

process-cpp (2.0.0+14.10.20140718-0ubuntu1) utopic; urgency=medium

  [ Thomas Voß ]
  * Bump major revision and so name to account for toolchain update.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 18 Jul 2014 12:29:36 +0000

process-cpp (1.0.1+14.10.20140522-0ubuntu1) utopic; urgency=medium

  [ Pete Woods ]
  * Add child_setup function to core::posic::exec.

  [ Ubuntu daily release ]
  * debian/*symbols: auto-update new symbols to released version
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 22 May 2014 09:49:51 +0000

process-cpp (1.0.0+14.04.20140328-0ubuntu2) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 27 Apr 2014 02:37:06 +0100

process-cpp (1.0.0+14.04.20140328-0ubuntu1) trusty; urgency=low

  [ Marcus Tomlinson ]
  * Split environment variable at first occurrence of '=' rather than
    splitting at every '=' (causes issues when a value contains an '=')

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Mar 2014 09:40:37 +0000

process-cpp (1.0.0+14.04.20140326.2-0ubuntu1) trusty; urgency=medium

  [ Thomas Voß ]
  * Bump so name.
  * Fix death observer racyness.

