=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_install:
	mkdir -p debian/tmp/usr/share/doc/libprocess-cpp-doc/
	mv debian/tmp/usr/share/doc/process-cpp/html debian/tmp/usr/share/doc/libprocess-cpp-doc/
	rmdir debian/tmp/usr/share/doc/process-cpp/

	# remove duplicate files and symlink them instead
	rdfind -makesymlinks true "debian/tmp/usr/share/doc/libprocess-cpp-doc/"
	symlinks -rc "debian/tmp/usr/share/doc/libprocess-cpp-doc/"

	dh_install

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=.
