=== src/CMakeLists.txt ===
--- 
+++ 
@@ -45,6 +45,7 @@
 
   ${Boost_LIBRARIES}
   ${CMAKE_THREAD_LIBS_INIT}
+  ${Backtrace_LIBRARIES}
 )
 
 # We compile with all symbols visible by default. For the shipping library, we strip
