=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -14,23 +14,12 @@
 #
 # Authored by: Thomas Voss <thomas.voss@canonical.com>
 
-# Build with system gmock and embedded gtest
-set (GMOCK_INCLUDE_DIR "/usr/include/gmock/include" CACHE PATH "gmock source include directory")
-set (GMOCK_SOURCE_DIR "/usr/src/gmock" CACHE PATH "gmock source directory")
-set (GTEST_INCLUDE_DIR "${GMOCK_SOURCE_DIR}/gtest/include" CACHE PATH "gtest source include directory")
-set (GMOCK_BOTH_LIBRARIES gmock gmock_main)
-add_subdirectory(${GMOCK_SOURCE_DIR} "${CMAKE_CURRENT_BINARY_DIR}/gmock")
-
-#set (OLD_CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
-# Don't treat warnings as errors in 3rd_party/{gmock,cucumber-cpp}
-#string (REPLACE " -Werror " " " CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
-#find_package(Gtest REQUIRED)
-include_directories(${GMOCK_INCLUDE_DIR} ${GTEST_INCLUDE_DIR})
-#set (CMAKE_CXX_FLAGS ${OLD_CMAKE_CXX_FLAGS})
+find_package(GMock)
 
 include_directories(
   ${CMAKE_SOURCE_DIR}/src
   ${GTEST_INCLUDE_DIR}
+  ${GMOCK_INCLUDE_DIR}
 )
 
 add_executable(
@@ -68,7 +57,7 @@
   process-cpp
 
   ${CMAKE_THREAD_LIBS_INIT}
-  ${GMOCK_BOTH_LIBRARIES}
+  ${GMOCK_LIBRARIES}
 )
 
 target_link_libraries(
@@ -77,7 +66,7 @@
   process-cpp
 
   ${CMAKE_THREAD_LIBS_INIT}
-  ${GMOCK_BOTH_LIBRARIES}
+  ${GMOCK_LIBRARIES}
 )
 
 target_link_libraries(
@@ -86,7 +75,7 @@
   process-cpp
 
   ${CMAKE_THREAD_LIBS_INIT}
-  ${GMOCK_BOTH_LIBRARIES}
+  ${GMOCK_LIBRARIES}
 )
 
 target_link_libraries(
@@ -95,7 +84,7 @@
   process-cpp
 
   ${CMAKE_THREAD_LIBS_INIT}
-  ${GMOCK_BOTH_LIBRARIES}
+  ${GMOCK_LIBRARIES}
 )
 
 target_link_libraries(
@@ -104,7 +93,7 @@
   process-cpp
 
   ${CMAKE_THREAD_LIBS_INIT}
-  ${GMOCK_BOTH_LIBRARIES}
+  ${GMOCK_LIBRARIES}
 )
 
 add_test(posix_process_test ${CMAKE_CURRENT_BINARY_DIR}/posix_process_test)
