=== debian/changelog ===
process-cpp (3.0.2-1) unstable; urgency=medium

  * New upstream release.
    - Fix wrong SOVERSION of library. Sneaking in a hidden transition.
  * debian/patches:
    + Drop 2001-Don-t-run-tests.patch. Does not apply anymore and we want to
      enable tests with this upload.
    + Trivially rebase 1003-link-pthread.patch and 1004-spelling-fixes.patch.
    + Add 1005_fix-linking-against-gtest.patch. Fix linking of unit tests on
      current Debian testing/unstable.
  * debian/rules:
    + Fix destdir in get-orig-source target's uscan call.
    + Remove results.txt build-cruft during dh_clean override. (Closes:
      #1049137).
  * debian/control:
    + Add B-Ds for running unit tests.
    + Add B-D: cmake-extras (for GMock CMake module).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 16 Aug 2024 00:08:10 +0200

process-cpp (3.0.1-10) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/: Update upstream Git repo URL.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/libprocess-cpp3.symbols:
    + Drop file. Causing more woes than being helpful. (Closes: #1076906).
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
    + In B-D, switch from pkg-config to pkgconf.

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 14 Aug 2024 19:32:18 +0200
