=== debian/control ===
--- 
+++ 
@@ -5,20 +5,24 @@
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends:
  cmake,
+ cmake-extras,
  debhelper-compat (= 13),
  doxygen,
  graphviz,
+ googletest | google-mock,
  libboost-dev,
  libboost-iostreams-dev,
  libboost-system-dev,
+ libgmock-dev,
+ libgtest-dev,
  libproperties-cpp-dev,
- pkg-config,
+ pkgconf,
  rdfind,
  symlinks,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Section: libs
-Homepage: https://gitlab.com/ubports/core/lib-cpp/process-cpp
+Homepage: https://gitlab.com/ubports/development/core/lib-cpp/process-cpp
 Vcs-Git: https://salsa.debian.org/ubports-team/process-cpp.git
 Vcs-Browser: https://salsa.debian.org/ubports-team/process-cpp
