=== debian/rules ===
--- 
+++ 
@@ -18,5 +18,9 @@
 
 	dh_install
 
+override_dh_clean:
+	dh_clean
+	rm -f results.txt
+
 get-orig-source:
-	uscan --noconf --force-download --rename --download-current-version --destdir=.
+	uscan --noconf --force-download --rename --download-current-version --destdir=..
