## process-cpp 3.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,12 +14,13 @@
 #
 # Authored by: Thomas Voss <thomas.voss@canonical.com>
 
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.10)
 
 project(process-cpp)
 
-find_package(Boost COMPONENTS iostreams system REQUIRED)
+find_package(Boost COMPONENTS iostreams REQUIRED)
 find_package(PkgConfig REQUIRED)
+set(THREADS_PREFER_PTHREAD_FLAG ON)
 find_package(Threads REQUIRED)
 find_package(Backtrace)
