=== src/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 add_library(
   process-cpp SHARED
-  
+
   core/posix/backtrace.h
   core/posix/backtrace.cpp
 
@@ -43,8 +43,9 @@
 target_link_libraries(
   process-cpp
 
+  Threads::Threads
+
   ${Boost_LIBRARIES}
-  ${CMAKE_THREAD_LIBS_INIT}
   ${Backtrace_LIBRARIES}
 )
