=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -56,7 +56,7 @@
 
   process-cpp
 
-  ${CMAKE_THREAD_LIBS_INIT}
+  Threads::Threads
   ${GMOCK_LIBRARIES}
 )
 
@@ -65,7 +65,7 @@
 
   process-cpp
 
-  ${CMAKE_THREAD_LIBS_INIT}
+  Threads::Threads
   ${GMOCK_LIBRARIES}
 )
 
@@ -74,7 +74,7 @@
 
   process-cpp
 
-  ${CMAKE_THREAD_LIBS_INIT}
+  Threads::Threads
   ${GMOCK_LIBRARIES}
 )
 
@@ -83,7 +83,7 @@
 
   process-cpp
 
-  ${CMAKE_THREAD_LIBS_INIT}
+  Threads::Threads
   ${GMOCK_LIBRARIES}
 )
 
@@ -92,7 +92,7 @@
 
   process-cpp
 
-  ${CMAKE_THREAD_LIBS_INIT}
+  Threads::Threads
   ${GMOCK_LIBRARIES}
 )
