=== debian/changelog ===
process-cpp (3.0.3-2) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Remove obsolete Build-Depends: libboost-system-dev (Closes: #1127258)
  * Add minimal debian/gbp.conf
  * Update Standards Version to 4.7.3

  [ Thorsten Alteholz ]
  * Use salsa-ci.yml instead of .gitlab-ci.yml

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Feb 2026 11:18:46 -0500

process-cpp (3.0.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop patches 1002, 1003, 1004, 1006. Applied upstream.
    + Rebase 1005_fix-linking-against-gtest.patch.
  * debian/copyright:
    + Update copyright attributions for debian/.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 03 Dec 2025 10:29:21 +0100

process-cpp (3.0.2-2) unstable; urgency=medium

  * debian/control:
    + Add Multi-Arch: foreign declaration. Thanks, Multi-Arch Hinter.
  * debian/patches:
    + Add 1006_CMakeLists.txt-Bump-cmake_minimum_required-to-versio.patch. Fix
      building with CMake 4. (Closes: #1113422).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 01 Sep 2025 16:35:43 +0200
