=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: process-cpp
-Priority: optional
 Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
@@ -12,15 +11,13 @@
  googletest | google-mock,
  libboost-dev,
  libboost-iostreams-dev,
- libboost-system-dev,
  libgmock-dev,
  libgtest-dev,
  libproperties-cpp-dev,
  pkgconf,
  rdfind,
  symlinks,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Section: libs
 Homepage: https://gitlab.com/ubports/development/core/lib-cpp/process-cpp
 Vcs-Git: https://salsa.debian.org/ubports-team/process-cpp.git
@@ -81,6 +78,7 @@
 Package: libprocess-cpp-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Suggests:
